> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User

> Get the current authenticated user from the database



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user:
    get:
      tags:
        - User
      summary: Get Current User
      description: Get the current authenticated user from the database
      operationId: User_getUser
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserResponse'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    GetUserResponse:
      type: object
      required:
        - id
        - address
        - email
        - profileId
        - accountId
        - cardholderId
        - partnerId
        - createdAt
        - kycProfile
      properties:
        id:
          type: string
        address:
          type: string
        email:
          type: string
        profileId:
          $ref: '#/components/schemas/uuid'
        accountId:
          anyOf:
            - $ref: '#/components/schemas/uuid'
            - type: 'null'
        cardholderId:
          anyOf:
            - $ref: '#/components/schemas/uuid'
            - type: 'null'
        partnerId:
          type: string
        createdAt:
          type: string
          format: date-time
        kycProfile:
          $ref: '#/components/schemas/UserKycProfile'
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    NotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    uuid:
      type: string
      format: uuid
    UserKycProfile:
      type: object
      required:
        - id
        - reference
        - email
        - status
        - tenantId
        - details
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        reference:
          type: string
        email:
          type: string
        status:
          $ref: '#/components/schemas/UserKycProfileStatus'
        tenantId:
          type: string
        details:
          anyOf:
            - $ref: '#/components/schemas/UserKycProfileDetails'
            - type: 'null'
    UserKycProfileStatus:
      type: string
      enum:
        - pending
        - approved
        - blocked
        - rejected
        - requires_action
        - resubmission_requested
    UserKycProfileDetails:
      type: object
      required:
        - fullName
        - phoneNumber
        - dateOfBirth
        - nationality
        - countryOfResidence
        - countryOfBirth
        - taxIdNumber
        - gender
        - addresses
      properties:
        fullName:
          type: string
        phoneNumber:
          type: string
        dateOfBirth:
          type: string
          format: date-time
        nationality:
          type: string
        countryOfResidence:
          type: string
        countryOfBirth:
          type: string
        taxIdNumber:
          type: string
        gender:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/UserKycAddress'
    UserKycAddress:
      type: object
      required:
        - id
        - country
        - postalCode
        - city
        - state
        - address1
        - address2
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        country:
          type: string
        postalCode:
          type: string
        city:
          type: string
        state:
          type: string
        address1:
          type: string
        address2:
          anyOf:
            - type: string
            - type: 'null'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````